### Interactivity : Expressing 3D Information in 2D

The web as a publishing platform allows authors to include graphics that move.  While stereoscopic 3D viewing on 2D surfaces is possible (and improving), cognition research shows that presently the best way for humans to understand 3D geometry on a 2D screen is to be able to manipulate 3D perspective views dynamically, so as to simulate views created by moving around in real space.  

As is the case with video or audio, many formats are available for presenting 3D graphics online, and a good publisher should advertise which of those will be supported and migrated in the future.  Also as is the case with audio/video, the present _de-facto_ standard, PDF, supports 3D objects in the Adobe PDF environment. Acrobat's 3D functionality allows for a selectable sequence of views of embedded 3D objects, in which each view can have a subset of objects visible from a given vantage point.  The first interactive 3D PDF was published in a major journal (_Nature_) in 2009 \cite{2009Natur.457...63G}, and a limited number others have appeared in major scientific publications since,\citet[e.g.][]{2012EAS....56..267P} 

The tools for _creating_ 3D PDFs were spun off from Adobe itself a few years ago, so presently, it can be cumbersome to generate such figures. A [tutorial](http://www.astrobetter.com/tutorial-for-embedding-3d-interactive-graphics-into-pdf/) now exists that allows a user to generate a PDF with a 3D figure using LaTeX tools.

PDF has the advantage of offering a printable equivalent of an onscreen document, but it is not clear for how much longer a printable version take precedence over intereactive features.  As long as a 2D screenshot (or its equivalent) can be included in an archival "printable" version of a paper, it seems adviseable for a modern pubisher to support a range of 3D interactive options, not just PDF.
