### Interactivity : Linking Views and Staging

A simple interactive figure gives its user an experience of playing with data, but in a very limited sandbox. Many top-tier news agencies (e. g. *The New York Times*) have used and helped develop technology (e.g. the javascript library known as [d3](http://d3js.org)) that allows for the creation of interactive figures without a need for dedicated developers. Three key features of the emerging paradigm for ineractive communication of quantitative information are _Brushing_, _Linking_, and _Staging_.  

* _Brushing_ is the idea of being able to select, with a box or lasso like tool, a subset of the points in a one- or two- dimensional space.

* _Linking_ is when data points are connected. In the context of brushing, this allows a user to explore high dimensional spaces by selecting collections of points in one dimension and determining where they lie in another dimension. 

* _Staging_ is a storytelling tool, allowing the author to reveal or highlight parts of a figure in sequence. The highlighting can take the form of Brushing and Linking as above.

The example below shows a five-stage figure, where each panel is interactive, and offers a different view of the same data (see _caption_). This [YouTube video](https://www.youtube.com/watch?v=Ne4yAJ_e5hs) explains more about the technology stack that created the figure.