# Linking Data

Traditionally, the only citations within scholarly writing are to other scholarly writing.  In some Journals today, URLs are allowed as footnotes, but not typically as full-fledged citations on-par with journal articles.  This is for good reason.  URLs are notoriously ephemeral, and URLs pointing to data have half-lives of less than a decade \cite{Pepe_2014}.

A great deal of public scholarly worrying (and writing) about how to offer robust, long-lived, links to data has gone on over especially the past decade (\citet[see][and references therein]{Goodman_2014}).  Instead of reviewing the concomitant literature, we here offer just the following practical advice.  **If a dataset can be assigned a long-term identifier that moves with data as it moves from one computer system to another, then such an identifier should be sought, and it should be cited in scholarly articles**.  One modern version of such "persistent" identifiers are "DOIs" which use the so-called ["Handle"](http://www.handle.net) system.  Details on how this system works are here: http://www.doi.org/factsheets/DOIHandle.html.  

There are currently several systems that will issue DOIs when data are uploaded to a repository, including [Zenodo](http://zenodo.org), [figshare](http://figshare.com), and [The Dataverse](http://theastrodata.org).  Each system presently has different various advantages and disadvantages, concerning ease-of-use, richness of metadata, and formats accepted. Authors and publishers can, and should, use any service that issues a robust DOI for a data set, so that it can be included as a so-called "first class" reference (like citing a Journal Article) in scholarly writing.  Any modern scientific publication should adjust its practices to accept these DOIs as references, and it should encourage authors to seek these DOIs.