# Linking People

## ORCID Identifiers

Open Researcher Contributor ID or ORCID is a free service that provides authors a unique persistent identifier and profile.  ORCID identifiers are to people what DOIs are to online objects like papers, datasets, images, etc.  Efficient use of ORCID identifiers by publishers will allow for improved search and bibliometric analysis of individuals' or instutions' output in the future.

## Social Media

Social media has already begun to take on the role of providing commentary on papers. While these formats are not directly linked to papers, it is worth noting that people are using platforms like Twitter to discuss papers, e.g. [this disucssion on a recent astro-ph paper](https://storify.com/jegpeek/a-quick-inquiry-with-an-expert-on-totally-metal-st)

## Annotation: Commenting and Markup

As the process of Science is not the production of scientific papers, but rather the _conversation_ that takes place with and around these documents, the social context in which a paper appears is a crucial aspect we wish to capture. The rich repository of recorded audience comments on conference preceedings from bygone years is an example of how lightly moderated, unrefereed discussion centered on a document can vastly increase its richness. While these conversations are happening all the time over the internet (see Section 7.2), they are not tagged to specific parts of papers, nor are they easily collectable or moderatable. 

There is now a push, both in industry ventures and in open standards, to allow for the annotation of digital objects across the internet. The World Wide Web Consortium, responsible for developing web standards, has a working group on open standards, with a nice visualization of their ideas [here](http://www.w3.org/annotation/diagrams/annotation-architecture.svg). These standards are designed to support annotation engines within them, such as [hypothes.is](http://hypothes.is). There are also companies working on annotation specific to scholarly publications, such as [Domeo](http://www.annotationframework.org) and a [vibrant community](http://iannotate.org) working on these problems. Technology already exists for referencing smaller parts of papers through [component DOIs](http://blog.martinfenner.org/2014/08/02/fragment-identifiers-and-dois/) and, given the success of the DOI paradigm, this may be a ripe area for exploration of annotations for journals.

It is worth noting that the idea of annotation as a powerful communication tool is not limited obscure standards working groups and scholarly startups. Amusingly, the world leader in the fusty annotation movement is also the granddaddy of all "kids these days" exasperation: rap music. Rap Genius, and the expaned [Genius brand](http://genius.com) started as an annotation engine for rap, but has expanded to a huge range of documents and ideas. Both rap music and scholarly work concentrate a huge amount of referential information into limited texts, which often need to be unpacked to be understood, even by expert audiences. Explicit, open discussion of these texts democratizes what has historically been insider information.
