# Offering Access to Code

In modern research articles, a paper is often linked to swaths of computer code that output both numerical conclusions in the paper (e. g. parameter estimates and errors) and associated figures. Since reproducibility is a bedrock principle of the scientific method, easy access to underpinning code is crucial part of future publications. 

## Links to Software Programs

By combining tools discussed elsewhere in this document, one can "mint" digital object identifiers that point to a particular version of software, assuming it is stored in an organized repository.  One example is given here: https://guides.github.com/activities/citable-code/, on a web page that shows how to mint a citable DOI for code using the [GitHub](http://github.com) and [Zenodo] (http://zenodo.org) services together.   Alternatively, in a model more directly akin the way one currently publishes a paper, services like the [Astrophysics Source Code Library (ASCL)](http://ascl.net) allow authors to publish a static version of a program, and to assign that version an identifier.  At present,  The ASCL is indexed by the SAO/NASA Astrophysics Data System (ADS) and is citable by using the unique ascl ID assigned to each program. 

## Executable Figures

iPython Notebooks offer a nice modern example of how published figures can be made "executable." These notebooks act as code that can be annotated and executed on the web, allowing an interested reader to study and even modify a copy of the underpinning code, without contacting the authors or initiating a long investigation. the dust map of Ophiuchus inserted as a figure below (courtestsy of Hope Chen) offers an example of the iPython functionality. The [colaboratory](https://colaboratory.jupyter.org/welcome/) service is an interesting new alternative to running a hosted iPython solution.